Page MenuHomePhabricator

1.35.0-wmf.14 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.14
Release Date
1578268800
Backup Conductor
LarsWirzenius

2020 week 02 1.35-wmf.14 Changes wmf/1.35.0-wmf.14

This MediaWiki Train Deployment is scheduled for the week of Monday, January 6th:

Monday January 6thTuesday, January 7thWednesday, January 8thThursday, January 9thFriday
SWAT deployments only.Branch wmf.14 and deploy to Group 0 Wikis.Deploy wmf.14 to Group 1 Wikis.Deploy wmf.14 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.14 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.13
Next: 1.35.0-wmf.15

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
thcipriani assigned this task to jeena.Fri, Jan 3, 3:00 PM
thcipriani triaged this task as Medium priority.
thcipriani added subscribers: LarsWirzenius, thcipriani.

@LarsWirzenius as backup

mmodell updated Backup Conductor, added: LarsWirzenius.Fri, Jan 3, 9:22 PM

Change 562595 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562595

Change 562595 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562595

Mentioned in SAL (#wikimedia-operations) [2020-01-07T20:01:10Z] <jhuneidi@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.14 refs T233862

Mentioned in SAL (#wikimedia-operations) [2020-01-07T20:30:11Z] <jhuneidi@deploy1001> Finished scap: testwikis wikis to 1.35.0-wmf.14 refs T233862 (duration: 29m 01s)

Change 562609 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562609

Change 562609 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562609

Mentioned in SAL (#wikimedia-operations) [2020-01-07T20:40:32Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.14 refs T233862

Change 562946 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562946

Change 562946 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/562946

Mentioned in SAL (#wikimedia-operations) [2020-01-08T20:50:23Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.14 refs T233862

Mentioned in SAL (#wikimedia-operations) [2020-01-08T20:51:28Z] <jhuneidi@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.14 refs T233862 (duration: 01m 04s)

Change 563263 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/563263

Change 563263 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.14 refs T233862

https://gerrit.wikimedia.org/r/563263

Mentioned in SAL (#wikimedia-operations) [2020-01-09T20:06:17Z] <jhuneidi@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.35.0-wmf.14 refs T233862

thcipriani closed this task as Resolved.Fri, Jan 10, 6:09 PM